aboutsummaryrefslogtreecommitdiff
path: root/board/pulseaudio.sh
diff options
context:
space:
mode:
authorSébastien Dailly <sebastien@dailly.me>2022-05-16 15:17:59 +0200
committerSébastien Dailly <sebastien@dailly.me>2022-05-16 15:17:59 +0200
commit6e497c22ea3302994c0a81cf54e67834d8e13d83 (patch)
tree1971215344868318e218c81468a0cff17969d8dc /board/pulseaudio.sh
parentcbb58e2287efb5c9c5d6e6eafbe70f329ff16098 (diff)
Moved the configuration in differents files
Diffstat (limited to 'board/pulseaudio.sh')
-rw-r--r--board/pulseaudio.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/board/pulseaudio.sh b/board/pulseaudio.sh
new file mode 100644
index 0000000..8b1186c
--- /dev/null
+++ b/board/pulseaudio.sh
@@ -0,0 +1,23 @@
+##############################
+# #
+# Pulseaudio configuration #
+# #
+##############################
+
+# Create the directory where pulseaudio store its files and put it in tempfs
+create_missing_dir "/var/lib/pulse"
+if ! grep -qE '/var/lib/pulse' "${TARGET_DIR}/etc/fstab"; then
+ cat << __EOF__ >> "${TARGET_DIR}/etc/fstab"
+tmpfs /var/lib/pulse tmpfs rw 0 0
+__EOF__
+fi
+
+if ! grep -qE '^load-module module-native-protocol-tcp' "${TARGET_DIR}/etc/pulse/system.pa"; then
+ cat << __EOF__ >> "${TARGET_DIR}/etc/pulse/system.pa"
+load-module module-bluetooth-policy
+load-module module-bluetooth-discover
+load-module module-native-protocol-tcp auth-ip-acl=127.0.0.1;192.168.0.0/24;2a01:e35:8ac8:0e00::/64 auth-anonymous=1
+__EOF__
+fi
+
+